<qt>

## Compiling and Installing using autotools

These instructions apply to Scribus 1.3.3.x SVN and below

If you have downloaded source from SVN, you will need to start the intial build process:

    cd Scribus
    make -f Makefile.svn

In order to compile and install Scribus on your system, type the following in the base directory of the Scribus distribution after uncompressing the downloaded package:

    ./configure
    make
    make install

The `make install` command will have to be done with root access if you have not run the `./configure` command with a `--prefix=[dir]` option to specify a different install directory. The following is an example of how to configure and install into your home directory. (For more informaiton than the following line, look at the Parallel Install section for more on having more than one version of Scribus installed at once)

    ./configure --prefix=/usr;make;make install prefix=~/scribus/svn

If you receive warnings when running `./configure`, you will need to verify the versions of `autoconf` and `automake` by running:

    autoconf --version
    automake --version

If they are not at least of the versions mentioned in the Requirements section, you may, depending on your distribution, need to tell it to use a higher version like following:

    export WANT_AUTOCONF="2.5"
    export WANT_AUTOMAKE="1.7"

Having run those two commands, recheck the versions. If they still do not comply to those required, you will need to upgrade those programs, however most distributions contain a high enough version.

You can launch Scribus from the command line with the following options:

    scribus --help

Output:

    scribus -h

    Scribus, Open Source Desktop Publishing
    ---------------------------------------
    Homepage:       http://www.scribus.net
    Documentation:  http://docs.scribus.net
    Wiki:           http://wiki.scribus.net
    Issues:         http://bugs.scribus.net

    Usage: scribus [option ... ] [file]
    Options:
       -h, --help             Print help (this message) and exit
       -l, --lang             Uses xx as shortcut for a language, eg `en' or `de'
      -la, --langs-available  List the currently installed interface languages
      -fi, --font-info        Show information on the console when fonts are being loaded
      -ns, --no-splash        Do not show the splashscreen on startup
      -v, --version          Output version information and exit
      -sb, --swap-buttons     Use right to left dialog button ordering (eg. Cancel/No/Yes instead of Yes/No/Cancel)
      -pr, --prefs filename   Use filename as path for user given preferences

The default location for the Scribus executable is located in `/usr/local/bin`. Documentation is located in `/usr/local/lib/scribus/doc`

In addition, there is a `desktop.config` file named `scribus.desktop` which can be used for a menu shortcut or desktop shortcut. Simply copy this from the base directory of the installation source directory to your KDE desktop and this will launch Scribus. After dragging this to the desktop, right click and make sure the execute check box is checked. This file conforms to the latest www.freedesktop.org specifications.

Since Scribus uses `autoconf`, as long as you have the correct developement versions of the libraries, you should have little difficulty compiling it. Should you run into problems please report them to the Scribus mailing list or IRC channel. See Community Resources section of this manual.

Lastly:

    man scribus

will list addtional info for startup.

</qt>